Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 550374 - media-gfx/digikam-4.10.0 fails to build with gcc-5.1.0
Summary: media-gfx/digikam-4.10.0 fails to build with gcc-5.1.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard: fixed in 4.11.0
Keywords:
Depends on: 553366
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-05-25 17:14 UTC by Jonathan Adamczewski
Modified: 2015-08-08 08:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Adamczewski 2015-05-25 17:14:45 UTC
CMakeLists.txt has a test for gcc version that doesn't handle >=gcc-5

I've posted a bug upstream https://bugs.kde.org/show_bug.cgi?id=348211 and a patch https://bugsfiles.kde.org/attachment.cgi?id=92816 

Reproducible: Always
Comment 1 David Kredba 2015-05-25 19:08:03 UTC
I solved it by adding "5" to list of allowed main versions of compiler in /usr/share/apps/cmake/modules/MacroEnsureVersion.cmake.
Comment 2 David Kredba 2015-05-25 19:09:38 UTC
Jonathan, could you please mark your report as blocking gcc-5.1 bug?
Comment 3 Jonathan Adamczewski 2015-05-25 19:44:00 UTC
Adding a 5 would work, but will break with the next major release of gcc - which, with the new numbering scheme, will be next year (see https://gcc.gnu.org/develop.html )

Marked as blocking GCC 5.1
Comment 4 Tom Li 2015-07-28 16:24:42 UTC
Also confirmed the bug with GCC 5.2.
Comment 5 Johannes Huber gentoo-dev 2015-08-08 08:52:32 UTC
Thanks for reporting. This is fixed in cvs now. Please sync in some hours to get the changes. Note that the git migration will happen today, so i am not sure if the mirrors will catch it up early enough.

+
+  08 Aug 2015; Johannes Huber <johu@gentoo.org> +digikam-4.12.0.ebuild:
+  Version bump by Andreas Sturmlechner <andreas.sturmlechner@gmail.com>, bug
+  #553366. Fixes build with gcc-5.1, bug #550374.
+